<?php

namespace App\Repository;

use App\Entity\StlMesh;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;

/**
 * @method StlMesh|null find($id, $lockMode = null, $lockVersion = null)
 * @method StlMesh|null findOneBy(array $criteria, array $orderBy = null)
 * @method StlMesh[]    findAll()
 * @method StlMesh[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class StlMeshRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, StlMesh::class);
    }

    // /**
    //  * @return StlMesh[] Returns an array of StlMesh objects
    //  */
    /*
    public function findByExampleField($value)
    {
        return $this->createQueryBuilder('s')
            ->andWhere('s.exampleField = :val')
            ->setParameter('val', $value)
            ->orderBy('s.id', 'ASC')
            ->setMaxResults(10)
            ->getQuery()
            ->getResult()
        ;
    }
    */

    /*
    public function findOneBySomeField($value): ?StlMesh
    {
        return $this->createQueryBuilder('s')
            ->andWhere('s.exampleField = :val')
            ->setParameter('val', $value)
            ->getQuery()
            ->getOneOrNullResult()
        ;
    }
    */
}
